<?php

namespace App\Filament\Resources\Niveaux\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class NiveauForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libelle')
                    ->required(),
                Select::make('reforme_id')
                    ->relationship('reforme', 'id')
                    ->required(),
                TextInput::make('cycle_id')
                    ->required()
                    ->numeric(),
                TextInput::make('ordre')
                    ->required()
                    ->numeric(),
            ]);
    }
}
